MuleContextStartPhase (Mule ESB 2.2.1 API)
Keywords: org.mule.lifecycle.phases.MuleContextStartPhase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextStartPhase

    java.lang.Object
      org.mule.lifecycle.DefaultLifecyclePhase
          org.mule.lifecycle.phases.MuleContextStartPhase

All Implemented Interfaces:
  LifecyclePhase

    public class MuleContextStartPhase

extends DefaultLifecyclePhase

The Start phase for the MuleContext. Calling `Startable.start()` will initiate this phase via the `LifecycleManager`. This phase controls the order in which objects should be started.

See Also:
  `MuleContext`, `LifecycleManager`, `Startable`

Field Summary

Fields inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextStartPhase()`
`MuleContextStartPhase(Class[] ignorredObjects)`

Method Summary

Methods inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextStartPhase

    public MuleContextStartPhase()

### MuleContextStartPhase

    public MuleContextStartPhase(Class[] ignorredObjects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.